org.h2gis.functions.spatial.convert

## Class ST_PointFromText

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_PointFromText

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_PointFromText
    extends org.h2gis.api.DeterministicScalarFunction

Convert a WKT String into a Point.

Author:
  Nicolas Fortin, Adam Gouge

### Field Summary

Fields
`static String` `TYPE_ERROR`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_PointFromText()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static com.vividsolutions.jts.geom.Geometry` `toGeometry(String wKT)` Convert the WKT String to a Geometry with the given SRID.
`static com.vividsolutions.jts.geom.Geometry` `toGeometry(String wKT, int srid)` Convert the WKT String to a Geometry with the given SRID.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Field Detail

#### TYPE_ERROR

    public static final String TYPE_ERROR

See Also:
  Constant Field Values

### Constructor Detail

#### ST_PointFromText

    public ST_PointFromText()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### toGeometry

    public static com.vividsolutions.jts.geom.Geometry toGeometry(String wKT)
                                                           throws SQLException

Convert the WKT String to a Geometry with the given SRID.

Parameters:
  `wKT` - Well Known Text value
Returns:
  Geometry
Throws:
  `SQLException` - Invalid argument or the geometry type is wrong.

#### toGeometry

    public static com.vividsolutions.jts.geom.Geometry toGeometry(String wKT,
                                                                  int srid)
                                                           throws SQLException

Convert the WKT String to a Geometry with the given SRID.

Parameters:
  `wKT` - Well Known Text value
  `srid` - Valid SRID
Returns:
  Geometry
Throws:
  `SQLException` - Invalid argument or the geometry type is wrong.